import Cookies from 'js-cookie'
export function arrayToTree(list, {parentId = parentId, id = id}) {
  let parents = list.filter(i => !i[parentId])
  list.forEach(item => {
    let children = list.filter(i => i[parentId] === item[id])
    if (children.length) item.children = children
  })
  return parents
}
window.getUserInfo = function (obj) {
  if (typeof obj === 'string') obj = JSON.parse(obj)
  let {token, userId} = obj.userInfo
  Cookies.set('congress', token)
}
export function setToken() {
  return new Promise((resolve, reject) => {
    if (!Cookies.get('congress')) {
      window.insideH5ToApp({key: 'userInfo', void: 'getUserInfo'})
      setTimeout(() => {
        setToken().then(resolve)
      }, 50)
    } else {
      resolve()
    }
  })
}